Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153047 - GtkDeprecationWarning: gtk.mainloop, gtk.mainquit
Summary: GtkDeprecationWarning: gtk.mainloop, gtk.mainquit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-netboot
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 143575 163872
TreeView+ depends on / blocked
 
Reported: 2005-04-01 04:13 UTC by Ricky Ng-Adam
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.1.13-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 00:02:04 UTC


Attachments (Terms of Use)

Description Ricky Ng-Adam 2005-04-01 04:13:45 UTC
Description of problem:

/usr/share/system-config-netboot/system-config-netboot.py:436:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  gtk.mainloop()
/usr/share/system-config-netboot/system-config-netboot.py:422:
GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit instead
  gtk.mainquit()


Version-Release number of selected component (if applicable):

0.1.12-1

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.

Comment 1 Daniel Walsh 2005-04-01 20:13:59 UTC
0.1.13-1 Has the fix thanks.


Note You need to log in before you can comment on or make changes to this bug.